Status: Resolved Priority: Should have
Author: Christopher Hlubek Category:
Created: 2011-12-09 Assigned To: Christian Jul Jensen
Updated: 2011-12-12 Due date:
PHP Version:
Has patch: No
Complexity:
Affected Flow version: Git master
Subject: The functional test requesthandler should be used for web requests
Description

The FunctionalTestCase still has a reference to the MockWebRequestHandler that's not used anymore. The
FunctionalTestRequestHandler should be available to all tests as a property and be used in simulated web requests to provide the
correct context with the current mock request.

Associated revisions
Revision 19f6c486 - 2011-12-12 08:52 - Christopher Hlubek

[BUGFIX] Remove MockWebRequestHandler, use FunctionalTestRequestHandler

Change-Id: If874094dcc8237cdebe79d36f9fab3b1218f39f8
Fixes: #32424
Releases: 1.1

History
#1 - 2011-12-09 16:31 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/7172

#2 - 2011-12-12 08:52 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/7172

#3 - 2011-12-12 09:06 - Christopher Hlubek
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:19f6c486fe88260fa78c27a75e5d4fddd95ca46a.
